Bug 46786 - anaconda crashes when trying to upgrade 6.2 to 7.0
anaconda crashes when trying to upgrade 6.2 to 7.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-30 11:00 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 02:33:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda crash dump (1.04 KB, text/plain)
2001-06-30 11:02 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-06-30 11:00:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Anacdump.txt: Traceback(innermost last) "/usr/bin/anaconda.real"line 436. 
intf(todo,test = test  File
"/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py line 1028, in run.
(same) line 27 9, in __call__ (same) /todo.py line 941, in upgrade find 
packages. (same)/todo.py , line 539, in get Comps List.
(same) /harddrive.py, line 43, in read comps (same)comps.py line 459, in 
__init__ (same)/comps.py , line 428, in ReadCompsFile.(same)/comps.py, 
line 101 __getitem__ KeyError: MAKEDEV Local variables in innermost frame: 
self:<comps.HEADERLIST instance at 8247548> item: MAKEDEV ToDo object: 
(itodo ToDo pl(dp2S 'method" p3(iharddrive HarddriveInstallMethod p4 
(dp5S 'fstype' p6S 'ext2' p7sS' isMounted' p*IOsS 'fnames' p9(dp10<failed>

How reproducible:
Always

Steps to Reproduce:
1.Copy RedHat disk (IDG) to hard drive.
2.Make boot disk, load.
3.Follow instructions to select upgrade, enter language, etc.It reads 
packages and then crashes, says report crash here, which I copied as a 
text file.
	

Actual Results:  See above

Expected Results:  Finish upgrade installation.

Additional info:

Above.
Comment 1 Need Real Name 2001-06-30 11:02:54 EDT
Created attachment 22289 [details]
anaconda crash dump
Comment 2 Brent Fox 2001-07-11 13:22:10 EDT
Why did you have to copy the disk to the hard drive before you did the install?
 Seems like running it off the cd would be easier.
Comment 3 Need Real Name 2001-07-12 11:44:21 EDT
Re your question - maybe I wasn't clear - I tried it both ways.
Comment 4 Matt Wilson 2001-07-13 02:33:28 EDT
please verify the ISO images md5sums with those on our ftp site.
Comment 5 Brent Fox 2001-07-25 12:27:34 EDT
I think that you have a bad ISO image.  If you redownload the images and you
still see the problem, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.